\caption{Результаты\\(Bluegene)}
\scriptsize
\begin{tabular}{|r|r|r|r|r|r|r|r|r|}
	\hline\multicolumn{1}{|c|}{$N$}      & \multicolumn{1}{|c|}{$P$} & \multicolumn{1}{|c|}{$T$}          & \multicolumn{1}{|c|}{$S$}          & \multicolumn{1}{|c|}{$T_{omp}$}    & \multicolumn{1}{|c|}{$S_{omp}$}    & \multicolumn{1}{|c|}{$T/T_{omp}$}  & \multicolumn{1}{|c|}{$\delta (L=1)$}  & \multicolumn{1}{|c|}{$\delta (L=\pi)$} \\
	\hline\hline\multirow{4}{*}{$128^3$} & $1$                       & $53.392s$                          & $1.0000\times$                     & $7.4723s$                          & $1.0000\times$                     & $7.1453\times$                     & \multirow{4}{*}{$4.4{\cdot}10^{-07}$} & \multirow{4}{*}{$4.5{\cdot}10^{-08}$}  \\
	\cline{2-7}                          & $64$                      & $1.0419s$                          & $51.246\times$                     & $0.1481s$                          & $50.452\times$                     & $7.0346\times$                     &                                       &                                        \\
	\cline{2-7}                          & $128$                     & $0.5529s$                          & $96.576\times$                     & $0.0793s$                          & $94.185\times$                     & $6.9684\times$                     &                                       &                                        \\
	\cline{2-7}                          & $256$                     & $0.2806s$                          & $190.25\times$                     & $0.0449s$                          & $166.51\times$                     & $6.2539\times$                     &                                       &                                        \\
	\hline\hline\multirow{4}{*}{$256^3$} & $1$                       & $424.31s$                          & $1.0000\times$                     & $59.531s$                          & $1.0000\times$                     & $7.1275\times$                     & \multirow{4}{*}{$1.1{\cdot}10^{-07}$} & \multirow{4}{*}{$1.1{\cdot}10^{-08}$}  \\
	\cline{2-7}                          & $64$                      & $8.0233s$                          & $52.884\times$                     & $1.0411s$                          & $57.179\times$                     & $7.7063\times$                     &                                       &                                        \\
	\cline{2-7}                          & $128$                     & $4.1225s$                          & $102.92\times$                     & $0.5302s$                          & $112.28\times$                     & $7.7755\times$                     &                                       &                                        \\
	\cline{2-7}                          & $256$                     & $2.0726s$                          & $204.72\times$                     & $0.2791s$                          & $213.31\times$                     & $7.4265\times$                     &                                       &                                        \\
	\hline\hline\multirow{4}{*}{$512^3$} & $1$                       & \multicolumn{1}{|c|}{\textbf{---}} & \multicolumn{1}{|c|}{\textbf{---}} & \multicolumn{1}{|c|}{\textbf{---}} & \multicolumn{1}{|c|}{\textbf{---}} & \multicolumn{1}{|c|}{\textbf{---}} & \multirow{4}{*}{$2.4{\cdot}10^{-08}$} & \multirow{4}{*}{$2.8{\cdot}10^{-09}$}  \\
	\cline{2-7}                          & $64$                      & $62.558s$                          & $60.841\times$                     & $8.0842s$                          & $61.848\times$                     & $7.7383\times$                     &                                       &                                        \\
	\cline{2-7}                          & $128$                     & $31.723s$                          & $119.98\times$                     & $4.0653s$                          & $122.99\times$                     & $7.8034\times$                     &                                       &                                        \\
	\cline{2-7}                          & $256$                     & $15.906s$                          & $239.29\times$                     & $2.0442s$                          & $244.59\times$                     & $7.7807\times$                     &                                       &                                        \\
	\hline
\end{tabular}